[arch-commits] Commit in django/repos (extra-i686 extra-i686/PKGBUILD)

Andrea Scarpino andrea at archlinux.org
Sat Jan 30 12:43:09 EST 2010


    Date: Saturday, January 30, 2010 @ 12:43:08
  Author: andrea
Revision: 65530

Merged revisions 65529 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/django/trunk

........
  r65529 | andrea | 2010-01-30 18:42:18 +0100 (Sat, 30 Jan 2010) | 2 lines
  
  upgpkg: django 1.1.1-4
      added bash completion script and built with optimize=1 (FS#18063)
........

Modified:
  django/repos/extra-i686/	(properties)
  django/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |    8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)


Property changes on: django/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /django/trunk:1-62243
   + /django/trunk:1-65529

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2010-01-30 17:42:18 UTC (rev 65529)
+++ extra-i686/PKGBUILD	2010-01-30 17:43:08 UTC (rev 65530)
@@ -6,7 +6,7 @@
 
 pkgname=django
 pkgver=1.1.1
-pkgrel=3
+pkgrel=4
 pkgdesc="A high-level Python Web framework."
 arch=('i686' 'x86_64')
 license=('BSD')
@@ -22,6 +22,10 @@
 
 build() {
   cd ${srcdir}/Django-$pkgver
-  python setup.py install --root=${pkgdir} || return 1
+  python setup.py install --root=${pkgdir} --optimize=1 || return 1
+
+  install -Dm644 extras/django_bash_completion \
+    ${pkgdir}/etc/bash_completion.d/django || return 1
+
   install -Dm644 LICENSE ${pkgdir}/usr/share/licenses/$pkgname/LICENSE || return 1
 }



More information about the arch-commits mailing list